curl -X GET "https://api.pinecone.io/admin/projects" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": true,
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
Projects
List projects
List all projects in an organization.
GET
/
admin
/
projects
curl -X GET "https://api.pinecone.io/admin/projects" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": true,
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
curl -X GET "https://api.pinecone.io/admin/projects" \
-H "Authorization: Bearer $PINECONE_ACCESS_TOKEN" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "example-project",
"max_pods": 0,
"force_encryption_with_cmek": true,
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]
}
Authorizations
An access token must be provided in the Authorization header using the Bearer scheme.
Headers
Required date-based version header
Response
A list of projects.
Show child attributes
Show child attributes
Was this page helpful?
⌘I